Index: /palm/trunk/SOURCE/microphysics.f90
===================================================================
--- /palm/trunk/SOURCE/microphysics.f90	(revision 1352)
+++ /palm/trunk/SOURCE/microphysics.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! REAL constants provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -368,15 +368,15 @@
 !--       t / pt : ratio of actual and potential temperature (t_d_pt)
 !--       p_0(z) : vertical profile of the hydrostatic pressure (hyp)
-          t_surface = pt_surface * ( surface_pressure / 1000.0 )**0.286_wp
+          t_surface = pt_surface * ( surface_pressure / 1000.0_wp )**0.286_wp
           DO  k = nzb, nzt+1
-             hyp(k)    = surface_pressure * 100.0 * &
+             hyp(k)    = surface_pressure * 100.0_wp * &
                          ( (t_surface - g/cp * zu(k)) / t_surface )**(1.0_wp/0.286_wp)
-             pt_d_t(k) = ( 100000.0 / hyp(k) )**0.286_wp
-             t_d_pt(k) = 1.0 / pt_d_t(k)
+             pt_d_t(k) = ( 100000.0_wp / hyp(k) )**0.286_wp
+             t_d_pt(k) = 1.0_wp / pt_d_t(k)
              hyrho(k)  = hyp(k) / ( r_d * t_d_pt(k) * pt_init(k) )       
           ENDDO
 !
 !--       Compute reference density
-          rho_surface = surface_pressure * 100.0 / ( r_d * t_surface )
+          rho_surface = surface_pressure * 100.0_wp / ( r_d * t_surface )
        ENDIF
 
@@ -445,6 +445,6 @@
 
           IF ( qr(k,j,i) <= eps_sb )  THEN
-             qr(k,j,i) = 0.0
-             nr(k,j,i) = 0.0
+             qr(k,j,i) = 0.0_wp
+             nr(k,j,i) = 0.0_wp
           ELSE
 !
@@ -506,5 +506,5 @@
        REAL(wp)     ::  xc                !:
 
-       k_au = k_cc / ( 20.0 * x0 )
+       k_au = k_cc / ( 20.0_wp * x0 )
 
        DO  k = nzb_s_inner(j,i)+1, nzt
@@ -513,14 +513,14 @@
 !
 !--          Intern time scale of coagulation (Seifert and Beheng, 2006):
-!--          (1.0 - qc(k,j,i) / ( qc(k,j,i) + qr_1d(k) ))
-             tau_cloud = 1.0 - qc_1d(k) / ( qr_1d(k) + qc_1d(k) )
+!--          (1.0_wp - qc(k,j,i) / ( qc(k,j,i) + qr_1d(k) ))
+             tau_cloud = 1.0_wp - qc_1d(k) / ( qr_1d(k) + qc_1d(k) )
 !
 !--          Universal function for autoconversion process 
 !--          (Seifert and Beheng, 2006):
-             phi_au    = 600.0 * tau_cloud**0.68_wp * ( 1.0 - tau_cloud**0.68_wp )**3
+             phi_au    = 600.0_wp * tau_cloud**0.68_wp * ( 1.0_wp - tau_cloud**0.68_wp )**3
 !
 !--          Shape parameter of gamma distribution (Geoffroy et al., 2010):
-!--          (Use constant nu_c = 1.0 instead?)
-             nu_c      = 1.0 !MAX( 0.0_wp, 1580.0 * hyrho(k) * qc(k,j,i) - 0.28_wp )
+!--          (Use constant nu_c = 1.0_wp instead?)
+             nu_c      = 1.0_wp !MAX( 0.0_wp, 1580.0_wp * hyrho(k) * qc(k,j,i) - 0.28_wp )
 !
 !--          Mean weight of cloud droplets:
@@ -532,9 +532,9 @@
 !
 !--             Weight averaged radius of cloud droplets:
-                rc = 0.5 * ( xc * dpirho_l )**( 1.0_wp / 3.0_wp )
-
-                alpha_cc = ( a_1 + a_2 * nu_c ) / ( 1.0 + a_3 * nu_c )
-                r_cc     = ( b_1 + b_2 * nu_c ) / ( 1.0 + b_3 * nu_c )
-                sigma_cc = ( c_1 + c_2 * nu_c ) / ( 1.0 + c_3 * nu_c )
+                rc = 0.5_wp * ( xc * dpirho_l )**( 1.0_wp / 3.0_wp )
+
+                alpha_cc = ( a_1 + a_2 * nu_c ) / ( 1.0_wp + a_3 * nu_c )
+                r_cc     = ( b_1 + b_2 * nu_c ) / ( 1.0_wp + b_3 * nu_c )
+                sigma_cc = ( c_1 + c_2 * nu_c ) / ( 1.0_wp + c_3 * nu_c )
 !
 !--             Mixing length (neglecting distance to ground and stratification)
@@ -546,19 +546,19 @@
 !
 !--             Compute Taylor-microscale Reynolds number:
-                re_lambda = 6.0 / 11.0 * ( l_mix / c_const )**( 2.0_wp / 3.0_wp ) *  &
-                            SQRT( 15.0 / kin_vis_air ) * epsilon**( 1.0_wp / 6.0_wp )
+                re_lambda = 6.0_wp / 11.0_wp * ( l_mix / c_const )**( 2.0_wp / 3.0_wp ) *  &
+                               SQRT( 15.0_wp / kin_vis_air ) * epsilon**( 1.0_wp / 6.0_wp )
 !
 !--             The factor of 1.0E4 is needed to convert the dissipation rate
 !--             from m2 s-3 to cm2 s-3.
-                k_au = k_au * ( 1.0_wp +                                       &
-                       epsilon * 1.0E4 * ( re_lambda * 1.0E-3 )**0.25_wp *     &
-                       ( alpha_cc * EXP( -1.0 * ( ( rc - r_cc ) /              &
+                k_au = k_au * ( 1.0_wp +                                             &
+                       epsilon * 1.0E4_wp * ( re_lambda * 1.0E-3_wp )**0.25_wp *     &
+                       ( alpha_cc * EXP( -1.0_wp * ( ( rc - r_cc ) /                 &
                        sigma_cc )**2 ) + beta_cc ) )
              ENDIF
 !
 !--          Autoconversion rate (Seifert and Beheng, 2006):
-             autocon = k_au * ( nu_c + 2.0 ) * ( nu_c + 4.0 ) /    &
-                       ( nu_c + 1.0 )**2.0_wp * qc_1d(k)**2.0_wp * xc**2.0_wp *   &
-                       ( 1.0 + phi_au / ( 1.0 - tau_cloud )**2.0_wp ) * &
+             autocon = k_au * ( nu_c + 2.0_wp ) * ( nu_c + 4.0_wp ) /                &
+                       ( nu_c + 1.0_wp )**2.0_wp * qc_1d(k)**2.0_wp * xc**2.0_wp *   &
+                       ( 1.0_wp + phi_au / ( 1.0_wp - tau_cloud )**2.0_wp ) *        &
                        rho_surface
              autocon = MIN( autocon, qc_1d(k) / dt_micro )
@@ -607,9 +607,9 @@
 !
 !--          Intern time scale of coagulation (Seifert and Beheng, 2006):
-             tau_cloud = 1.0 - qc_1d(k) / ( qc_1d(k) + qr_1d(k) ) 
+             tau_cloud = 1.0_wp - qc_1d(k) / ( qc_1d(k) + qr_1d(k) ) 
 !
 !--          Universal function for accretion process 
 !--          (Seifert and Beheng, 2001):
-             phi_ac = tau_cloud / ( tau_cloud + 5.0E-5 ) 
+             phi_ac = tau_cloud / ( tau_cloud + 5.0E-5_wp ) 
              phi_ac = ( phi_ac**2.0_wp )**2.0_wp
 !
@@ -618,6 +618,6 @@
 !--          convert the dissipation (diss) from m2 s-3 to cm2 s-3.
              IF ( turbulence )  THEN
-                k_cr = k_cr0 * ( 1.0 + 0.05 *                             &
-                                 MIN( 600.0_wp, diss(k,j,i) * 1.0E4 )**0.25_wp )
+                k_cr = k_cr0 * ( 1.0_wp + 0.05_wp *                             &
+                                 MIN( 600.0_wp, diss(k,j,i) * 1.0E4_wp )**0.25_wp )
              ELSE
                 k_cr = k_cr0                       
@@ -677,9 +677,9 @@
 !
 !--          Collisional breakup rate (Seifert, 2008):
-             IF ( dr >= 0.3E-3 )  THEN
-                phi_br  = k_br * ( dr - 1.1E-3 )
-                breakup = selfcoll * ( phi_br + 1.0 )
+             IF ( dr >= 0.3E-3_wp )  THEN
+                phi_br  = k_br * ( dr - 1.1E-3_wp )
+                breakup = selfcoll * ( phi_br + 1.0_wp )
              ELSE
-                breakup = 0.0
+                breakup = 0.0_wp
              ENDIF
 
@@ -749,18 +749,18 @@
 !
 !--          Saturation vapor pressure at t_l:
-             e_s = 610.78 * EXP( 17.269 * ( t_l - 273.16 ) / ( t_l - 35.86 ) )
+             e_s = 610.78_wp * EXP( 17.269_wp * ( t_l - 273.16_wp ) / ( t_l - 35.86_wp ) )
 !
 !--          Computation of saturation humidity:
-             q_s = 0.622 * e_s / ( hyp(k) - 0.378 * e_s )
-             alpha = 0.622 * l_d_r * l_d_cp / ( t_l * t_l )
-             q_s = q_s * ( 1.0 + alpha * q_1d(k) ) / ( 1.0 + alpha * q_s )
+             q_s = 0.622_wp * e_s / ( hyp(k) - 0.378_wp * e_s )
+             alpha = 0.622_wp * l_d_r * l_d_cp / ( t_l * t_l )
+             q_s = q_s * ( 1.0_wp + alpha * q_1d(k) ) / ( 1.0_wp + alpha * q_s )
 !
 !--          Supersaturation:
-             sat = MIN( 0.0_wp, ( q_1d(k) - qr_1d(k) - qc_1d(k) ) / q_s - 1.0 )
+             sat = MIN( 0.0_wp, ( q_1d(k) - qr_1d(k) - qc_1d(k) ) / q_s - 1.0_wp )
 !
 !--          Actual temperature:
              temp = t_l + l_d_cp * ( qc_1d(k) + qr_1d(k) )
     
-             g_evap = 1.0 / ( ( l_v / ( r_v * temp ) - 1.0 ) * l_v /   &
+             g_evap = 1.0_wp / ( ( l_v / ( r_v * temp ) - 1.0_wp ) * l_v /   &
                       ( thermal_conductivity_l * temp ) + r_v * temp / &
                       ( diff_coeff_l * e_s ) )
@@ -778,12 +778,12 @@
 !--             Shape parameter of gamma distribution (Milbrandt and Yau, 2005;
 !--             Stevens and Seifert, 2008):
-                mu_r = 10.0 * ( 1.0 + TANH( 1.2E3 * ( dr - 1.4E-3 ) ) )
+                mu_r = 10.0_wp * ( 1.0_wp + TANH( 1.2E3_wp * ( dr - 1.4E-3_wp ) ) )
 !
 !--             Slope parameter of gamma distribution (Seifert, 2008):
-                lambda_r = ( ( mu_r + 3.0 ) * ( mu_r + 2.0 ) *       &
-                             ( mu_r + 1.0 ) )**( 1.0_wp / 3.0_wp ) / dr
-
-                mu_r_2   = mu_r + 2.0
-                mu_r_5d2 = mu_r + 2.5 
+                lambda_r = ( ( mu_r + 3.0_wp ) * ( mu_r + 2.0_wp ) *       &
+                             ( mu_r + 1.0_wp ) )**( 1.0_wp / 3.0_wp ) / dr
+
+                mu_r_2   = mu_r + 2.0_wp
+                mu_r_5d2 = mu_r + 2.5_wp 
                 f_vent = a_vent * gamm( mu_r_2 ) *                            &
                          lambda_r**( -mu_r_2 ) +                              &
@@ -791,25 +791,25 @@
                          SQRT( a_term / kin_vis_air ) * gamm( mu_r_5d2 ) *    &
                          lambda_r**( -mu_r_5d2 ) *                            &
-                         ( 1.0 - 0.5 * ( b_term / a_term ) *                  &
+                         ( 1.0_wp - 0.5_wp * ( b_term / a_term ) *            &
                          ( lambda_r /                                         &
                          (       c_term + lambda_r ) )**mu_r_5d2 -            &
-                                 0.125 * ( b_term / a_term )**2.0_wp *        &
+                                 0.125_wp * ( b_term / a_term )**2.0_wp *     &
                          ( lambda_r /                                         &
-                         ( 2.0 * c_term + lambda_r ) )**mu_r_5d2 -            &
-                                 0.0625 * ( b_term / a_term )**3.0_wp *       &
+                         ( 2.0_wp * c_term + lambda_r ) )**mu_r_5d2 -         &
+                                 0.0625_wp * ( b_term / a_term )**3.0_wp *    &
                          ( lambda_r /                                         &
-                         ( 3.0 * c_term + lambda_r ) )**mu_r_5d2 -            &
-                                 0.0390625 * ( b_term / a_term )**4.0_wp *    &
+                         ( 3.0_wp * c_term + lambda_r ) )**mu_r_5d2 -         &
+                                 0.0390625_wp * ( b_term / a_term )**4.0_wp * &
                          ( lambda_r /                                         &
-                         ( 4.0 * c_term + lambda_r ) )**mu_r_5d2 )
-                nr_0   = nr_1d(k) * lambda_r**( mu_r + 1.0 ) /                &
-                         gamm( mu_r + 1.0 ) 
+                         ( 4.0_wp * c_term + lambda_r ) )**mu_r_5d2 )
+                nr_0   = nr_1d(k) * lambda_r**( mu_r + 1.0_wp ) /             &
+                         gamm( mu_r + 1.0_wp ) 
              ELSE
-                f_vent = 1.0
+                f_vent = 1.0_wp
                 nr_0   = nr_1d(k) * dr
              ENDIF
 !
 !--          Evaporation rate of rain water content (Seifert and Beheng, 2006):
-             evap = 2.0 * pi * nr_0 * g_evap * f_vent * sat /    &
+             evap = 2.0_wp * pi * nr_0 * g_evap * f_vent * sat /    &
                     hyrho(k)
 
@@ -859,8 +859,8 @@
 !
 !--    Sedimentation of cloud droplets (Heus et al., 2010):
-       sed_qc_const = k_st * ( 3.0 / ( 4.0 * pi * rho_l ))**( 2.0_wp / 3.0_wp ) *   &
-                     EXP( 5.0 * LOG( sigma_gc )**2 )
-
-       sed_qc(nzt+1) = 0.0
+       sed_qc_const = k_st * ( 3.0_wp / ( 4.0_wp * pi * rho_l ))**( 2.0_wp / 3.0_wp ) *   &
+                     EXP( 5.0_wp * LOG( sigma_gc )**2 )
+
+       sed_qc(nzt+1) = 0.0_wp
 
        DO  k = nzt, nzb_s_inner(j,i)+1, -1
@@ -869,5 +869,5 @@
                         ( qc_1d(k) * hyrho(k) )**( 5.0_wp / 3.0_wp )
           ELSE
-             sed_qc(k) = 0.0
+             sed_qc(k) = 0.0_wp
           ENDIF
 
@@ -943,5 +943,5 @@
 !--    Computation of sedimentation flux. Implementation according to Stevens
 !--    and Seifert (2008).
-       IF ( intermediate_timestep_count == 1 )  prr(:,j,i) = 0.0
+       IF ( intermediate_timestep_count == 1 )  prr(:,j,i) = 0.0_wp
 !
 !--    Compute velocities 
@@ -954,17 +954,17 @@
 !--          Shape parameter of gamma distribution (Milbrandt and Yau, 2005;
 !--          Stevens and Seifert, 2008):
-             mu_r = 10.0 * ( 1.0 + TANH( 1.2E3 * ( dr - 1.4E-3 ) ) )
+             mu_r = 10.0_wp * ( 1.0_wp + TANH( 1.2E3_wp * ( dr - 1.4E-3_wp ) ) )
 !
 !--          Slope parameter of gamma distribution (Seifert, 2008):
-             lambda_r = ( ( mu_r + 3.0 ) * ( mu_r + 2.0 ) *          &
-                        ( mu_r + 1.0 ) )**( 1.0_wp / 3.0_wp ) / dr
-
-             w_nr(k) = MAX( 0.1_wp, MIN( 20.0_wp, a_term - b_term * ( 1.0 +    &
-                       c_term / lambda_r )**( -1.0 * ( mu_r + 1.0 ) ) ) )
-             w_qr(k) = MAX( 0.1_wp, MIN( 20.0_wp, a_term - b_term * ( 1.0 +    &
-                       c_term / lambda_r )**( -1.0 * ( mu_r + 4.0 ) ) ) )
+             lambda_r = ( ( mu_r + 3.0_wp ) * ( mu_r + 2.0_wp ) *          &
+                        ( mu_r + 1.0_wp ) )**( 1.0_wp / 3.0_wp ) / dr
+
+             w_nr(k) = MAX( 0.1_wp, MIN( 20.0_wp, a_term - b_term * ( 1.0_wp +    &
+                       c_term / lambda_r )**( -1.0_wp * ( mu_r + 1.0_wp ) ) ) )
+             w_qr(k) = MAX( 0.1_wp, MIN( 20.0_wp, a_term - b_term * ( 1.0_wp +    &
+                       c_term / lambda_r )**( -1.0_wp * ( mu_r + 4.0_wp ) ) ) )
           ELSE
-             w_nr(k) = 0.0
-             w_qr(k) = 0.0
+             w_nr(k) = 0.0_wp
+             w_qr(k) = 0.0_wp
           ENDIF
        ENDDO
@@ -973,12 +973,12 @@
        w_nr(nzb_s_inner(j,i)) = w_nr(nzb_s_inner(j,i)+1)
        w_qr(nzb_s_inner(j,i)) = w_qr(nzb_s_inner(j,i)+1)
-       w_nr(nzt+1) = 0.0
-       w_qr(nzt+1) = 0.0
+       w_nr(nzt+1) = 0.0_wp
+       w_qr(nzt+1) = 0.0_wp
 !
 !--    Compute Courant number
        DO  k = nzb_s_inner(j,i)+1, nzt
-          c_nr(k) = 0.25 * ( w_nr(k-1) + 2.0 * w_nr(k) + w_nr(k+1) ) * &
+          c_nr(k) = 0.25_wp * ( w_nr(k-1) + 2.0_wp * w_nr(k) + w_nr(k+1) ) * &
                     dt_micro * ddzu(k)
-          c_qr(k) = 0.25 * ( w_qr(k-1) + 2.0 * w_qr(k) + w_qr(k+1) ) * &
+          c_qr(k) = 0.25_wp * ( w_qr(k-1) + 2.0_wp * w_qr(k) + w_qr(k+1) ) * &
                     dt_micro * ddzu(k)
        ENDDO     
@@ -988,16 +988,16 @@
 
           DO k = nzb_s_inner(j,i)+1, nzt
-             d_mean = 0.5 * ( qr_1d(k+1) + qr_1d(k-1) )
+             d_mean = 0.5_wp * ( qr_1d(k+1) + qr_1d(k-1) )
              d_min  = qr_1d(k) - MIN( qr_1d(k+1), qr_1d(k), qr_1d(k-1) )
              d_max  = MAX( qr_1d(k+1), qr_1d(k), qr_1d(k-1) ) - qr_1d(k)
 
-             qr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0 * d_min, 2.0 * d_max, &
+             qr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0_wp * d_min, 2.0_wp * d_max, &
                                                      ABS( d_mean ) )
 
-             d_mean = 0.5 * ( nr_1d(k+1) + nr_1d(k-1) )
+             d_mean = 0.5_wp * ( nr_1d(k+1) + nr_1d(k-1) )
              d_min  = nr_1d(k) - MIN( nr_1d(k+1), nr_1d(k), nr_1d(k-1) )
              d_max  = MAX( nr_1d(k+1), nr_1d(k), nr_1d(k-1) ) - nr_1d(k)
 
-             nr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0 * d_min, 2.0 * d_max, &
+             nr_slope(k) = SIGN(1.0_wp, d_mean) * MIN ( 2.0_wp * d_min, 2.0_wp * d_max, &
                                                      ABS( d_mean ) )
           ENDDO
@@ -1005,11 +1005,11 @@
        ELSE
 
-          nr_slope = 0.0
-          qr_slope = 0.0
+          nr_slope = 0.0_wp
+          qr_slope = 0.0_wp
 
        ENDIF
 
-       sed_nr(nzt+1) = 0.0
-       sed_qr(nzt+1) = 0.0
+       sed_nr(nzt+1) = 0.0_wp
+       sed_qr(nzt+1) = 0.0_wp
 !
 !--    Compute sedimentation flux
@@ -1018,12 +1018,12 @@
 !--       Sum up all rain drop number densities which contribute to the flux 
 !--       through k-1/2
-          flux  = 0.0
-          z_run = 0.0 ! height above z(k)
+          flux  = 0.0_wp
+          z_run = 0.0_wp ! height above z(k)
           k_run = k
           c_run = MIN( 1.0_wp, c_nr(k) )
-          DO WHILE ( c_run > 0.0  .AND.  k_run <= nzt )
+          DO WHILE ( c_run > 0.0_wp  .AND.  k_run <= nzt )
              flux  = flux + hyrho(k_run) *                                    &
-                     ( nr_1d(k_run) + nr_slope(k_run) * ( 1.0 - c_run ) *     &
-                     0.5 ) * c_run * dzu(k_run)
+                     ( nr_1d(k_run) + nr_slope(k_run) * ( 1.0_wp - c_run ) *     &
+                     0.5_wp ) * c_run * dzu(k_run)
              z_run = z_run + dzu(k_run)
              k_run = k_run + 1
@@ -1042,14 +1042,14 @@
 !--       Sum up all rain water content which contributes to the flux 
 !--       through k-1/2
-          flux  = 0.0
-          z_run = 0.0 ! height above z(k)
+          flux  = 0.0_wp
+          z_run = 0.0_wp ! height above z(k)
           k_run = k
           c_run = MIN( 1.0_wp, c_qr(k) )
 
-          DO WHILE ( c_run > 0.0  .AND.  k_run <= nzt-1 )
+          DO WHILE ( c_run > 0.0_wp  .AND.  k_run <= nzt-1 )
 
              flux  = flux + hyrho(k_run) *                                    &
-                     ( qr_1d(k_run) + qr_slope(k_run) * ( 1.0 - c_run ) *    &
-                     0.5 ) * c_run * dzu(k_run)
+                     ( qr_1d(k_run) + qr_slope(k_run) * ( 1.0_wp - c_run ) *    &
+                     0.5_wp ) * c_run * dzu(k_run)
              z_run = z_run + dzu(k_run)
              k_run = k_run + 1
@@ -1114,10 +1114,10 @@
        x_gamm = xx 
        y_gamm = x_gamm 
-       tmp = x_gamm + 5.5 
-       tmp = ( x_gamm + 0.5 ) * LOG( tmp ) - tmp 
+       tmp = x_gamm + 5.5_wp
+       tmp = ( x_gamm + 0.5_wp ) * LOG( tmp ) - tmp 
        ser = 1.000000000190015_wp
 
        DO  j = 1, 6 
-          y_gamm = y_gamm + 1.0 
+          y_gamm = y_gamm + 1.0_wp 
           ser    = ser + cof( j ) / y_gamm 
        ENDDO
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1352)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! REAL constants provided with KIND-attribute
 ! 
 ! Former revisions:
@@ -882,5 +882,5 @@
     USE kinds
 
-    REAL(wp) ::  ddx, ddx2, dx = 1.0, dx2, ddy, ddy2, dy = 1.0, dy2
+    REAL(wp) ::  ddx, ddx2, dx = 1.0_wp, dx2, ddy, ddy2, dy = 1.0_wp, dy2
 
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  ddx2_mg, ddy2_mg
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 1352)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 1353)
@@ -23,5 +23,5 @@
 ! Current revisions:
 ! ------------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -603,5 +603,5 @@
           ALLOCATE( netcdf_data(mask_size(mid,1)) )
 
-          netcdf_data = ( mask_i_global(mid,:mask_size(mid,1)) + 0.5 ) * dx
+          netcdf_data = ( mask_i_global(mid,:mask_size(mid,1)) + 0.5_wp ) * dx
 
           nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_x_mask(mid,av), &
@@ -623,5 +623,5 @@
           ALLOCATE( netcdf_data(mask_size(mid,2)) )
 
-          netcdf_data = ( mask_j_global(mid,:mask_size(mid,2)) + 0.5 ) * dy
+          netcdf_data = ( mask_j_global(mid,:mask_size(mid,2)) + 0.5_wp ) * dy
 
           nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_y_mask(mid,av), &
@@ -1187,5 +1187,5 @@
 
              DO  i = 0, ny+1
-                netcdf_data(i) = ( i + 0.5 ) * dy
+                netcdf_data(i) = ( i + 0.5_wp ) * dy
              ENDDO
 
@@ -1785,5 +1785,5 @@
              DO  i = 1, ns
                 IF( section(i,1) == -1 )  THEN
-                   netcdf_data(i) = -1.0  ! section averaged along z
+                   netcdf_data(i) = -1.0_wp  ! section averaged along z
                 ELSE
                    netcdf_data(i) = zu( section(i,1) )
@@ -1799,5 +1799,5 @@
              DO  i = 1, ns
                 IF( section(i,1) == -1 )  THEN
-                   netcdf_data(i) = -1.0  ! section averaged along z
+                   netcdf_data(i) = -1.0_wp  ! section averaged along z
                 ELSE
                    netcdf_data(i) = zw( section(i,1) )
@@ -1831,5 +1831,5 @@
 
              DO  i = 0, nx+1
-                netcdf_data(i) = ( i + 0.5 ) * dx
+                netcdf_data(i) = ( i + 0.5_wp ) * dx
              ENDDO
 
@@ -1855,5 +1855,5 @@
 
              DO  i = 0, ny+1
-                netcdf_data(i) = ( i + 0.5 ) * dy
+                netcdf_data(i) = ( i + 0.5_wp ) * dy
              ENDDO
 
@@ -1986,5 +1986,5 @@
                 ENDIF
              ELSE
-                IF ( -1.0 /= netcdf_data(i) )  THEN
+                IF ( -1.0_wp /= netcdf_data(i) )  THEN
                    message_string = 'netCDF file for cross-sections ' //     &
                                TRIM( var ) // ' from previous run found,' // &
@@ -2437,7 +2437,7 @@
              DO  i = 1, ns
                 IF( section(i,2) == -1 )  THEN
-                   netcdf_data(i) = -1.0  ! section averaged along y
+                   netcdf_data(i) = -1.0_wp  ! section averaged along y
                 ELSE
-                   netcdf_data(i) = ( section(i,2) + 0.5 ) * dy
+                   netcdf_data(i) = ( section(i,2) + 0.5_wp ) * dy
                 ENDIF
              ENDDO
@@ -2451,5 +2451,5 @@
              DO  i = 1, ns
                 IF( section(i,2) == -1 )  THEN
-                   netcdf_data(i) = -1.0  ! section averaged along y
+                   netcdf_data(i) = -1.0_wp  ! section averaged along y
                 ELSE
                    netcdf_data(i) = section(i,2) * dy
@@ -2477,5 +2477,5 @@
 
              DO  i = 0, nx+1
-                netcdf_data(i) = ( i + 0.5 ) * dx
+                netcdf_data(i) = ( i + 0.5_wp ) * dx
              ENDDO
 
@@ -2610,5 +2610,5 @@
                 ENDIF
              ELSE
-                IF ( -1.0 /= netcdf_data(i) )  THEN
+                IF ( -1.0_wp /= netcdf_data(i) )  THEN
                    message_string = 'netCDF file for cross-sections ' //     &
                                TRIM( var ) // ' from previous run found,' // &
@@ -3076,7 +3076,7 @@
              DO  i = 1, ns
                 IF( section(i,3) == -1 )  THEN
-                   netcdf_data(i) = -1.0  ! section averaged along x
+                   netcdf_data(i) = -1.0_wp  ! section averaged along x
                 ELSE
-                   netcdf_data(i) = ( section(i,3) + 0.5 ) * dx
+                   netcdf_data(i) = ( section(i,3) + 0.5_wp ) * dx
                 ENDIF
              ENDDO
@@ -3090,5 +3090,5 @@
              DO  i = 1, ns
                 IF( section(i,3) == -1 )  THEN
-                   netcdf_data(i) = -1.0  ! section averaged along x
+                   netcdf_data(i) = -1.0_wp  ! section averaged along x
                 ELSE
                    netcdf_data(i) = section(i,3) * dx
@@ -3115,5 +3115,5 @@
 
              DO  j = 0, ny+1
-                netcdf_data(j) = ( j + 0.5 ) * dy
+                netcdf_data(j) = ( j + 0.5_wp ) * dy
              ENDDO
 
@@ -3248,5 +3248,5 @@
                 ENDIF
              ELSE
-                IF ( -1.0 /= netcdf_data(i) )  THEN
+                IF ( -1.0_wp /= netcdf_data(i) )  THEN
                    message_string = 'netCDF file for cross-sections ' //    &
                               TRIM( var ) // ' from previous run found,' // &
@@ -3395,5 +3395,5 @@
 !
 !--       Define some global attributes of the dataset
-          IF ( averaging_interval_pr /= 0.0 )  THEN
+          IF ( averaging_interval_pr /= 0.0_wp )  THEN
              WRITE (time_average_text,'('', '',F7.1,'' s average'')') &
                                                             averaging_interval_pr
@@ -3820,5 +3820,5 @@
 !--       performance loss due to data copying; an alternative strategy would be 
 !--       to ensure equal attribute size in a job chain. Maybe revise later.
-          IF ( averaging_interval_pr == 0.0 )  THEN
+          IF ( averaging_interval_pr == 0.0_wp )  THEN
              time_average_text = ' '
           ELSE
@@ -4050,5 +4050,5 @@
 !
 !--       Define some global attributes of the dataset
-          IF ( averaging_interval_sp /= 0.0 )  THEN
+          IF ( averaging_interval_sp /= 0.0_wp )  THEN
              WRITE (time_average_text,'('', '',F7.1,'' s average'')') &
                                                             averaging_interval_sp
@@ -4268,5 +4268,5 @@
           ALLOCATE( netcdf_data(nx/2) )
           DO  i = 1, nx/2
-             netcdf_data(i) = 2.0 * pi * i / ( dx * ( nx + 1 ) )
+             netcdf_data(i) = 2.0_wp * pi * i / ( dx * ( nx + 1 ) )
           ENDDO
 
@@ -4279,5 +4279,5 @@
           ALLOCATE( netcdf_data(ny/2) )
           DO  i = 1, ny/2
-             netcdf_data(i) = 2.0 * pi * i / ( dy * ( ny + 1 ) )
+             netcdf_data(i) = 2.0_wp * pi * i / ( dy * ( ny + 1 ) )
           ENDDO
 
@@ -4456,5 +4456,5 @@
           nc_stat = NF90_REDEF( id_set_sp )
           CALL handle_netcdf_error( 'netcdf', 441 )
-          IF ( averaging_interval_sp /= 0.0 )  THEN
+          IF ( averaging_interval_sp /= 0.0_wp )  THEN
              WRITE (time_average_text,'('', '',F7.1,'' s average'')') &
                                                            averaging_interval_sp
Index: /palm/trunk/SOURCE/nudging.f90
===================================================================
--- /palm/trunk/SOURCE/nudging.f90	(revision 1352)
+++ /palm/trunk/SOURCE/nudging.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! REAL constants provided with KIND-attribute 
 !
 ! Former revisions:
@@ -119,6 +119,6 @@
 
 
-       ptnudge = 0.0; qnudge = 0.0; tnudge = 0.0; unudge = 0.0
-       vnudge = 0.0; wnudge = 0.0; timenudge = 0.0
+       ptnudge = 0.0_wp; qnudge = 0.0_wp; tnudge = 0.0_wp; unudge = 0.0_wp
+       vnudge = 0.0_wp; wnudge = 0.0_wp; timenudge = 0.0_wp
 
        t = 0
@@ -193,10 +193,10 @@
              fac = ( highheight - zu(k) ) / ( highheight - lowheight )
 
-             tnudge(k,t)  = fac * lowtnudge + ( 1.0 - fac ) * hightnudge
-             unudge(k,t)  = fac * lowunudge + ( 1.0 - fac ) * highunudge
-             vnudge(k,t)  = fac * lowvnudge + ( 1.0 - fac ) * highvnudge
-             wnudge(k,t)  = fac * lowwnudge + ( 1.0 - fac ) * highwnudge
-             ptnudge(k,t) = fac * lowptnudge + ( 1.0 - fac ) * highptnudge
-             qnudge(k,t)  = fac * lowqnudge + ( 1.0 - fac ) * highqnudge
+             tnudge(k,t)  = fac * lowtnudge  + ( 1.0_wp - fac ) * hightnudge
+             unudge(k,t)  = fac * lowunudge  + ( 1.0_wp - fac ) * highunudge
+             vnudge(k,t)  = fac * lowvnudge  + ( 1.0_wp - fac ) * highvnudge
+             wnudge(k,t)  = fac * lowwnudge  + ( 1.0_wp - fac ) * highwnudge
+             ptnudge(k,t) = fac * lowptnudge + ( 1.0_wp - fac ) * highptnudge
+             qnudge(k,t)  = fac * lowqnudge  + ( 1.0_wp - fac ) * highqnudge
           ENDDO
 
@@ -208,9 +208,9 @@
 !--    Prevent nudging if nudging profiles exhibt too small values
 !--    not used so far
-       lptnudge  = ANY( ABS( ptnudge ) > 1e-8 )
-       lqnudge   = ANY( ABS( qnudge ) > 1e-8 )
-       lunudge   = ANY( ABS( unudge ) > 1e-8 )
-       lvnudge   = ANY( ABS( vnudge ) > 1e-8 )
-       lwnudge   = ANY( ABS( wnudge ) > 1e-8 )
+       lptnudge  = ANY( ABS( ptnudge ) > 1.0e-8_wp )
+       lqnudge   = ANY( ABS( qnudge )  > 1.0e-8_wp )
+       lunudge   = ANY( ABS( unudge )  > 1.0e-8_wp )
+       lvnudge   = ANY( ABS( vnudge )  > 1.0e-8_wp )
+       lwnudge   = ANY( ABS( wnudge )  > 1.0e-8_wp )
 
     END SUBROUTINE init_nudge
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1352)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute 
 ! 
 ! Former revisions:
@@ -452,5 +452,5 @@
                        hom_sum(0:nz+1,pr_palm+max_pr_user,0:statistic_regions) )
 
-             hom = 0.0
+             hom = 0.0_wp
 
           ENDIF
